package com.shzg.project.unique.domain;

import com.shzg.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.shzg.framework.aspectj.lang.annotation.Excel;

/**
 * 唯一码事件记录对象 worn_unique_code_event
 * 
 * @author shzg
 * @date 2026-03-17
 */
public class WornUniqueCodeEvent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 唯一码ID */
    @Excel(name = "唯一码ID")
    private Long uniqueCodeId;

    /** 事件类型（0生成唯一码 1生成入库单号 2快速入库 3生成出库单号 4快速出库） */
    @Excel(name = "事件类型", readConverterExp = "0=生成唯一码,1=生成入库单号,2=快速入库,3=生成出库单号,4=快速出库")
    private String eventType;

    /** 事件状态 */
    @Excel(name = "事件状态")
    private String eventStatus;

    /** 事件描述 */
    @Excel(name = "事件描述")
    private String eventDesc;

    /** 操作人ID */
    @Excel(name = "操作人ID")
    private Long operatorId;

    /** 操作人名称 */
    @Excel(name = "操作人名称")
    private String operatorName;

    /** 是否删除（0正常 1删除） */
    @Excel(name = "是否删除", readConverterExp = "0=正常,1=删除")
    private String isDelete;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setUniqueCodeId(Long uniqueCodeId) 
    {
        this.uniqueCodeId = uniqueCodeId;
    }

    public Long getUniqueCodeId() 
    {
        return uniqueCodeId;
    }

    public void setEventType(String eventType) 
    {
        this.eventType = eventType;
    }

    public String getEventType() 
    {
        return eventType;
    }

    public void setEventStatus(String eventStatus) 
    {
        this.eventStatus = eventStatus;
    }

    public String getEventStatus() 
    {
        return eventStatus;
    }

    public void setEventDesc(String eventDesc) 
    {
        this.eventDesc = eventDesc;
    }

    public String getEventDesc() 
    {
        return eventDesc;
    }

    public void setOperatorId(Long operatorId) 
    {
        this.operatorId = operatorId;
    }

    public Long getOperatorId() 
    {
        return operatorId;
    }

    public void setOperatorName(String operatorName) 
    {
        this.operatorName = operatorName;
    }

    public String getOperatorName() 
    {
        return operatorName;
    }

    public void setIsDelete(String isDelete) 
    {
        this.isDelete = isDelete;
    }

    public String getIsDelete() 
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("uniqueCodeId", getUniqueCodeId())
            .append("eventType", getEventType())
            .append("eventStatus", getEventStatus())
            .append("eventDesc", getEventDesc())
            .append("operatorId", getOperatorId())
            .append("operatorName", getOperatorName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("isDelete", getIsDelete())
            .toString();
    }
}
